// 清单分类
const mongoose = require('mongoose');
const Schema = mongoose.Schema;


const billClass = new Schema({
    compilationID: { type: String, index: true},
    name: String,
    key: String,
    code: String,
    itemCharacter: String,
    class: { type: Number, index: true }, // 分类
    classCode: { type: String, index: true }, // 类别别名
    requiredRationIDs: { type:[[Number]], default: [[]] }, // 必套定额ID
    optionalRationIDs: { type: [Number], default: [] }, // 选套定额ID
    errorRationIDs: { type: [Number], default: [] }, // 错套定额ID
}, {versionKey: false});


mongoose.model('billClass', billClass, 'billClass');